/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <fstream>
#include <string>
#include <iostream>

#include "utils.h"

const char* __RUNTIME_DIR = "/usr/share/dotnet.tizen/netcoreapp";
const char* __TIZENFX_DIR = "/usr/share/dotnet.tizen/framework";
const char* __TIZENFX_REF_DIR = "/usr/share/dotnet.tizen/framework/ref";
const char* __PLATFORM_TPA_CACHE = "/usr/share/dotnet.tizen/lib/platform_tpa_cache";

int main(int argc, char* argv[])
{
    std::string tpaList;
    std::vector<std::string> tpaDir;

    tpaDir.push_back(__RUNTIME_DIR);
    tpaDir.push_back(__TIZENFX_DIR);
    tpaDir.push_back(__TIZENFX_REF_DIR);

    assembliesInDirectory(tpaDir, tpaList);

    std::ofstream out(__PLATFORM_TPA_CACHE);
    out << tpaList;
    out.close();
    
    return 0;
}

